aboutsummaryrefslogtreecommitdiff
path: root/others
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-02-06 17:36:40 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-02-06 17:36:40 +0000
commit924e9a556be7cfba62b048944801ec17efcc8ccc (patch)
tree3c04f7fab0789ebd4ce08c6458e61e65e4284598 /others
parent24141e7f0ce44607ae5de8ce9518de618c2dd8a0 (diff)
downloadslackbuilds-924e9a556be7cfba62b048944801ec17efcc8ccc.tar.gz
slackbuilds-924e9a556be7cfba62b048944801ec17efcc8ccc.tar.bz2
added xmms from mkbuild
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1623 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'others')
-rw-r--r--others/unclassified/xmms/slack-required4
-rwxr-xr-xothers/unclassified/xmms/xmms.SlackBuild152
2 files changed, 156 insertions, 0 deletions
diff --git a/others/unclassified/xmms/slack-required b/others/unclassified/xmms/slack-required
new file mode 100644
index 00000000..51cf0e39
--- /dev/null
+++ b/others/unclassified/xmms/slack-required
@@ -0,0 +1,4 @@
+# Dependency list to xmms
+#
+# dependency [condition] [version]]
+libmikmod >= 3.2.0
diff --git a/others/unclassified/xmms/xmms.SlackBuild b/others/unclassified/xmms/xmms.SlackBuild
new file mode 100755
index 00000000..2eabc998
--- /dev/null
+++ b/others/unclassified/xmms/xmms.SlackBuild
@@ -0,0 +1,152 @@
+#!/bin/bash
+#
+# xmms.SlackBuild is free software; you can redistribute
+# it and/or modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the License,
+# or any later version.
+#
+# xmms.SlackBuild is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along with
+# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
+# Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# slackbuild for xmms, by Alexandre Vieira de Souza
+# requires: alsa-lib audiofile esound glib glibc-solibs gtk+ libICE libSM libX11 libXau libXdmcp libXext libXxf86vm libdrm libmikmod libogg libvorbis libxcb mesa zlib
+# tested: xmms-1.2.11
+#
+
+# Look for slackbuildrc
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# Set variables
+CWD="$(pwd)"
+SRC_NAME="xmms"
+PKG_NAME="xmms"
+ARCH=${ARCH:=i486}
+SRC_VERSION=${VERSION:=1.2.11}
+PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
+BUILD=${BUILD:=1avs}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
+TMP=${TMP:=/tmp}
+PKG=${PKG:=$TMP/package-$PKG_NAME}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/usr}
+PKG_WORK="$TMP/$SRC_NAME"
+CONF_OPTIONS=${CONF_OPTIONS:=""}
+NUMJOBS=${NUMJOBS:="-j1"}
+
+# Set system libraries' path and optmization flags based on $ARCH
+LIBDIR="$PREFIX/lib"
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIR="$PREFIX/lib64"
+fi
+
+# Set error codes (used by createpkg)
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41; ERROR_MKDIR=42
+
+# Clean up any leftovers of previous builds
+rm -rf "$PKG_WORK" 2> /dev/null
+rm -rf "$PKG" 2> /dev/null
+
+# Create directories if necessary
+mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
+mkdir -p "$PKG" || exit $ERROR_MKDIR
+mkdir -p "$REPOS" || exit $ERROR_MKDIR
+mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
+
+# Dowload source if necessary
+SRC="$SRC_NAME-$VERSION.tar.gz"
+URL="http://xmms.org/files/1.2.x/$SRC"
+
+if [ ! -s "$SRC_DIR/$SRC" ] || ! gunzip -t "$SRC_DIR/$SRC" 2> /dev/null; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+# Untar
+cd "$PKG_WORK"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
+PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+cd "$PKG_SRC"
+
+# Configure
+CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix="$PREFIX" --libdir="$LIBDIR" $CONF_OPTIONS || exit $ERROR_CONF
+
+# Compile
+make $NUMJOBS || exit $ERROR_MAKE
+
+# Install
+make install DESTDIR="$PKG" || exit $ERROR_INSTALL
+
+# Strip binaries
+( cd "$PKG"
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Install documentation
+DOCS="NEWS TODO README AUTHORS INSTALL ChangeLog MAINTAINERS COPYING readme.*"
+mkdir -p "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION" || exit $ERROR_MKDIR
+for doc in $DOCS; do
+ if [ -f "$doc" ]; then
+ cp -a $doc "$PKG/usr/doc/$PKG_NAME-$PKG_VERSION"
+ fi
+done
+
+# Add package description (slack-desc)
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+cat << EODESC > "$PKG/install/slack-desc"
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------------|
+xmms: XMMS (X Multimedia System) by Slack.Sarava
+xmms:
+xmms: XMMS is a multimedia player for unix systems. XMMS stands for X
+xmms: MultiMedia System and can play media files such as MP3, MOD's, WAV
+xmms: and others with the use of Input plugins. XMMS is mainly targeted at
+xmms: music playback, but through thirdparty plugins some rudimentary video
+xmms: capabilities exists, but there are much better systems other than
+xmms: XMMS for video support.
+xmms:
+xmms: by avs
+xmms:
+EODESC
+
+# Build the package
+cd "$PKG"
+makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
+
+# Delete source and build directories if requested
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf "$PKG_WORK" "$PKG"
+fi